/*-----------------------------------------------------------------------
 * File: ALGOID.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */


#ifndef _ALGOID_H
#define _ALGOID_H    

#include "oidsalg.h"

#ifdef __cplusplus                                          
extern "C" {
#endif

CSSM_BOOL       CSSMAPI X509_IsEqualOid(const CSSM_OID *Oid1, const CSSM_OID *Oid2);
CSSM_OID_PTR    CSSMAPI X509_AlgIdToAlgorithmOid(CSSM_ALGORITHMS alg_int);
CSSM_ALGORITHMS CSSMAPI X509_AlgorithmOidToAlgId (CSSM_OID_PTR Oid);

#ifdef __cplusplus
}
#endif

#endif /* _ALGOID_H */
