/*-----------------------------------------------------------------------
 * File: DUMMYMULTICSPI_ERR.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

/**************************************************************************
 **************************************************************************

 NEVER MODIFY THE .h VERSION OF THIS FILE BY HAND. IT IS GENERATED USING
 THE SCRIPTS IN THE ./generate DIRECTORY. TO UPDATE THE FILE, CHANGE THE
 .htp FILE WITH THE SAME NAME AND TYPE 'make' FOLLOWED BY 'make install'.

 **************************************************************************
 **************************************************************************/

#ifndef _DUMMYMULTICSPI_ERR_H
#define _DUMMYMULTICSPI_ERR_H

#include "cssmerr.h"

#ifndef CSSM_CSP_PRIVATE_ERROR
#error CSSM_CSP_PRIVATE_ERROR not defined
#endif

/* Define the service error codes.
 */
#define CSSMERR_CSP_EVENT_NOTIFY (CSSM_CSP_PRIVATE_ERROR + 1)
#define CSSMERR_CSP_QUERY_SIZE (CSSM_CSP_PRIVATE_ERROR + 2)
#define CSSMERR_CSP_SIGN_DATA (CSSM_CSP_PRIVATE_ERROR + 3)
#define CSSMERR_CSP_SIGN_DATA_INIT (CSSM_CSP_PRIVATE_ERROR + 4)
#define CSSMERR_CSP_SIGN_DATA_UPDATE (CSSM_CSP_PRIVATE_ERROR + 5)
#define CSSMERR_CSP_SIGN_DATA_FINAL (CSSM_CSP_PRIVATE_ERROR + 6)
#define CSSMERR_CSP_VERIFY_DATA (CSSM_CSP_PRIVATE_ERROR + 7)
#define CSSMERR_CSP_VERIFY_DATA_INIT (CSSM_CSP_PRIVATE_ERROR + 8)
#define CSSMERR_CSP_VERIFY_DATA_UPDATE (CSSM_CSP_PRIVATE_ERROR + 9)
#define CSSMERR_CSP_VERIFY_DATA_FINAL (CSSM_CSP_PRIVATE_ERROR + 10)
#define CSSMERR_CSP_DIGEST_DATA (CSSM_CSP_PRIVATE_ERROR + 11)
#define CSSMERR_CSP_DIGEST_DATA_INIT (CSSM_CSP_PRIVATE_ERROR + 12)
#define CSSMERR_CSP_DIGEST_DATA_UPDATE (CSSM_CSP_PRIVATE_ERROR + 13)
#define CSSMERR_CSP_DIGEST_DATA_CLONE (CSSM_CSP_PRIVATE_ERROR + 14)
#define CSSMERR_CSP_DIGEST_DATA_FINAL (CSSM_CSP_PRIVATE_ERROR + 15)
#define CSSMERR_CSP_GENERATE_MAC (CSSM_CSP_PRIVATE_ERROR + 16)
#define CSSMERR_CSP_GENERATE_MAC_INIT (CSSM_CSP_PRIVATE_ERROR + 17)
#define CSSMERR_CSP_GENERATE_MAC_UPDATE (CSSM_CSP_PRIVATE_ERROR + 18)
#define CSSMERR_CSP_GENERATE_MAC_FINAL (CSSM_CSP_PRIVATE_ERROR + 19)
#define CSSMERR_CSP_VERIFY_MAC (CSSM_CSP_PRIVATE_ERROR + 20)
#define CSSMERR_CSP_VERIFY_MAC_INIT (CSSM_CSP_PRIVATE_ERROR + 21)
#define CSSMERR_CSP_VERIFY_MAC_UPDATE (CSSM_CSP_PRIVATE_ERROR + 22)
#define CSSMERR_CSP_VERIFY_MAC_FINAL (CSSM_CSP_PRIVATE_ERROR + 23)
#define CSSMERR_CSP_ENCRYPT_DATA (CSSM_CSP_PRIVATE_ERROR + 24)
#define CSSMERR_CSP_ENCRYPT_DATA_INIT (CSSM_CSP_PRIVATE_ERROR + 25)
#define CSSMERR_CSP_ENCRYPT_DATA_UPDATE (CSSM_CSP_PRIVATE_ERROR + 26)
#define CSSMERR_CSP_ENCRYPT_DATA_FINAL (CSSM_CSP_PRIVATE_ERROR + 27)
#define CSSMERR_CSP_DECRYPT_DATA (CSSM_CSP_PRIVATE_ERROR + 28)
#define CSSMERR_CSP_DECRYPT_DATA_INIT (CSSM_CSP_PRIVATE_ERROR + 29)
#define CSSMERR_CSP_DECRYPT_DATA_UPDATE (CSSM_CSP_PRIVATE_ERROR + 30)
#define CSSMERR_CSP_DECRYPT_DATA_FINAL (CSSM_CSP_PRIVATE_ERROR + 31)
#define CSSMERR_CSP_QUERY_KEY_SIZE_IN_BITS (CSSM_CSP_PRIVATE_ERROR + 32)
#define CSSMERR_CSP_GENERATE_KEY (CSSM_CSP_PRIVATE_ERROR + 33)
#define CSSMERR_CSP_GENERATE_KEY_PAIR (CSSM_CSP_PRIVATE_ERROR + 34)
#define CSSMERR_CSP_GENERATE_RANDOM (CSSM_CSP_PRIVATE_ERROR + 35)
#define CSSMERR_CSP_GENERATE_ALGORITHM_PARAMS (CSSM_CSP_PRIVATE_ERROR + 36)
#define CSSMERR_CSP_WRAP_KEY (CSSM_CSP_PRIVATE_ERROR + 37)
#define CSSMERR_CSP_UNWRAP_KEY (CSSM_CSP_PRIVATE_ERROR + 38)
#define CSSMERR_CSP_DERIVE_KEY (CSSM_CSP_PRIVATE_ERROR + 39)
#define CSSMERR_CSP_FREE_KEY (CSSM_CSP_PRIVATE_ERROR + 40)
#define CSSMERR_CSP_PASS_THROUGH (CSSM_CSP_PRIVATE_ERROR + 41)
#define CSSMERR_CSP_LOGIN (CSSM_CSP_PRIVATE_ERROR + 42)
#define CSSMERR_CSP_LOGOUT (CSSM_CSP_PRIVATE_ERROR + 43)
#define CSSMERR_CSP_CHANGE_LOGIN_ACL (CSSM_CSP_PRIVATE_ERROR + 44)
#define CSSMERR_CSP_OBTAIN_PRIVATE_KEY_FROM_PUBLIC_KEY (CSSM_CSP_PRIVATE_ERROR + 45)
#define CSSMERR_CSP_RETRIEVE_UNIQUE_ID (CSSM_CSP_PRIVATE_ERROR + 46)
#define CSSMERR_CSP_RETRIEVE_COUNTER (CSSM_CSP_PRIVATE_ERROR + 47)
#define CSSMERR_CSP_VERIFY_DEVICE (CSSM_CSP_PRIVATE_ERROR + 48)
#define CSSMERR_CSP_GET_TIME_VALUE (CSSM_CSP_PRIVATE_ERROR + 49)
#define CSSMERR_CSP_GET_OPERATIONAL_STATISTICS (CSSM_CSP_PRIVATE_ERROR + 50)
#define CSSMERR_CSP_GET_LOGIN_ACL (CSSM_CSP_PRIVATE_ERROR + 51)
#define CSSMERR_CSP_GET_KEY_ACL (CSSM_CSP_PRIVATE_ERROR + 52)
#define CSSMERR_CSP_CHANGE_KEY_ACL (CSSM_CSP_PRIVATE_ERROR + 53)
#define CSSMERR_CSP_GET_KEY_OWNER (CSSM_CSP_PRIVATE_ERROR + 54)
#define CSSMERR_CSP_CHANGE_KEY_OWNER (CSSM_CSP_PRIVATE_ERROR + 55)
#define CSSMERR_CSP_GET_LOGIN_OWNER (CSSM_CSP_PRIVATE_ERROR + 56)
#define CSSMERR_CSP_CHANGE_LOGIN_OWNER (CSSM_CSP_PRIVATE_ERROR + 57)

#endif
