/*-----------------------------------------------------------------------
 * File: EICLPROC.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

/* Module name: eiclproc.h
   Header file for miscellenaous functions.
*/

#if !defined(EICL_PROC_INCLUDE)
#define EICL_PROC_INCLUDE	1

/* Number of words required to store, "ByteLength" bytes */
#define	EICL_WordCount(ByteLength)	( ((ByteLength)+sizeof(EICLWord)-1) / sizeof(EICLWord) )
#define EICL_IsOne(a)	( (a).length==1 && (a).value[0]==1 )
#define EICL_IsZero(m)	( (m).length==1 && (m).value[0]==0 )
#define EICL_IsEven(m)	( ((m).value[0] & 1)!=1 )

#ifdef __cplusplus
extern "C" {
#endif

void __stdcall	EICL_MoveWord
										(DSAData	*src,
					 					DSAData		*dest);

void __stdcall	EICL_MoveByte			(EICLData	*src,
										EICLData		*dest);

void __stdcall	EICL_MoveByte2Word		(EICLData	*src,
										DSAData		*dest);

void __stdcall	EICL_MoveWord2Byte		(DSAData	*src,
										EICLData		*dest);

void __stdcall	EICL_PadBytes0			(DSAData	*a,
										long		ByteLength);

int __stdcall	EICL_ByteCount			(DSAData	*a);

#ifdef __cplusplus
}
#endif


#endif	/* EICL_PROC_INCLUDE */
