/*-----------------------------------------------------------------------
 * File: WF_API.H
 *
 * Copyright (c) 1998-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#ifndef WF_API_H
#define WF_API_H

#include "wf_type.h"

WF_RETURN WFAPI
WF_GetForwardRoute(WF_GUID *ContextID,
                   WF_CONST_DATA *Sender,
                   WF_DATA *Receiver);

WF_RETURN WFAPI 
WF_Forward(WF_CONST_DATA *PackedRecord,
           WF_GUID *ContextID,
           WF_CONST_DATA *Receiver);

WF_RETURN WFAPI
WF_Reject(WF_CONST_DATA *PackedRecord,
          WF_GUID *ContextID,
          WF_CONST_DATA *Sender);

WF_RETURN WFAPI
WF_Receive(WF_GUID *AppID,
           WF_RECORD_TYPE *Type,
           WF_GUID *ContextID,
           WF_DATA *PrincipalID,
           WF_DATA *PackedRecord);


#endif /* WF_API_H */
