/*-----------------------------------------------------------------------
 * File: INTERNAL.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#ifndef __AC_INTERNAL_H__
#define __AC_INTERNAL_H__
#include "cssm.h"
#include "tuple.h"


void hashtab_init( void );
void lpass0( uint32 ns, const CSSM_LIST subj[] );
void tgpass0( const CSSM_TUPLEGROUP *tg );
void lactivate( uint32 ns, const CSSM_LIST subj[] );
CSSM_RETURN tg_reduce1( const CSSM_TUPLEGROUP *tg, /* the tuple group */
                        int active, /* BOOL:  activity of tuples */
                        pSexp sbj, /* a subject constraint */
                        pSexp tag, /* the tag constraint */
                        pSexp now /* the date constraint */
                      ) ;

CSSM_RETURN tg_report_results( CSSM_AC_HANDLE ach,	/* .. */
			       CSSM_TUPLEGROUP_PTR aout ); /* output param */

void hashtab_clear( void );

#endif
