/*-----------------------------------------------------------------------
 * File: DUMMYMULTITPI_ERR.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

/**************************************************************************
 **************************************************************************

 NEVER MODIFY THE .h VERSION OF THIS FILE BY HAND. IT IS GENERATED USING
 THE SCRIPTS IN THE ./generate DIRECTORY. TO UPDATE THE FILE, CHANGE THE
 .htp FILE WITH THE SAME NAME AND TYPE 'make' FOLLOWED BY 'make install'.

 **************************************************************************
 **************************************************************************/

#ifndef _DUMMYMULTITPI_ERR_H
#define _DUMMYMULTITPI_ERR_H

#include "cssmerr.h"

#ifndef CSSM_TP_PRIVATE_ERROR
#error CSSM_TP_PRIVATE_ERROR not defined
#endif

/* Define the service error codes.
 */
#define CSSMERR_TP_SUBMIT_CRED_REQUEST (CSSM_TP_PRIVATE_ERROR + 1)
#define CSSMERR_TP_RETRIEVE_CRED_RESULT (CSSM_TP_PRIVATE_ERROR + 2)
#define CSSMERR_TP_CONFIRM_CRED_RESULT (CSSM_TP_PRIVATE_ERROR + 3)
#define CSSMERR_TP_RECEIVE_CONFIRMATION (CSSM_TP_PRIVATE_ERROR + 4)
#define CSSMERR_TP_CERT_RECLAIM_KEY (CSSM_TP_PRIVATE_ERROR + 5)
#define CSSMERR_TP_CERT_RECLAIM_ABORT (CSSM_TP_PRIVATE_ERROR + 6)
#define CSSMERR_TP_FORM_REQUEST (CSSM_TP_PRIVATE_ERROR + 7)
#define CSSMERR_TP_FORM_SUBMIT (CSSM_TP_PRIVATE_ERROR + 8)
#define CSSMERR_TP_CERT_GROUP_VERIFY (CSSM_TP_PRIVATE_ERROR + 9)
#define CSSMERR_TP_CERT_CREATE_TEMPLATE (CSSM_TP_PRIVATE_ERROR + 10)
#define CSSMERR_TP_CERT_GET_ALL_TEMPLATE_FIELDS (CSSM_TP_PRIVATE_ERROR + 11)
#define CSSMERR_TP_CERT_SIGN (CSSM_TP_PRIVATE_ERROR + 12)
#define CSSMERR_TP_CRL_VERIFY (CSSM_TP_PRIVATE_ERROR + 13)
#define CSSMERR_TP_CRL_CREATE_TEMPLATE (CSSM_TP_PRIVATE_ERROR + 14)
#define CSSMERR_TP_CERT_REVOKE (CSSM_TP_PRIVATE_ERROR + 15)
#define CSSMERR_TP_CERT_REMOVE_FROM_CRL_TEMPLATE (CSSM_TP_PRIVATE_ERROR + 16)
#define CSSMERR_TP_CRL_SIGN (CSSM_TP_PRIVATE_ERROR + 17)
#define CSSMERR_TP_APPLY_CRL_TO_DB (CSSM_TP_PRIVATE_ERROR + 18)
#define CSSMERR_TP_CERT_GROUP_CONSTRUCT (CSSM_TP_PRIVATE_ERROR + 19)
#define CSSMERR_TP_CERT_GROUP_PRUNE (CSSM_TP_PRIVATE_ERROR + 20)
#define CSSMERR_TP_CERT_GROUP_TO_TUPLE_GROUP (CSSM_TP_PRIVATE_ERROR + 21)
#define CSSMERR_TP_TUPLE_GROUP_TO_CERT_GROUP (CSSM_TP_PRIVATE_ERROR + 22)
#define CSSMERR_TP_PASS_THROUGH (CSSM_TP_PRIVATE_ERROR + 23)

#endif
