/*-----------------------------------------------------------------------
 * File: CSERRICL.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */
 
/*
 * This is the error file for csp token adaptation layer.
 */

#ifndef	_CSERRICL_H
#define	_CSERRICL_H

/****************************************************************************/
/* Private csp error messages												*/
/****************************************************************************/

#define CSSM_CSP_PRIKEY_EXPORT_FAILED			(CSSM_CSP_PRIVATE_ERROR +1L)
#define CSSM_CSP_PRIKEY_IMPORT_FAILED			(CSSM_CSP_PRIVATE_ERROR +2L)
#define CSSM_CSP_PRIKEY_DELETE_FAILED			(CSSM_CSP_PRIVATE_ERROR +3L)
#define CSSM_CSP_PRIKEY_VIEW_FAILED				(CSSM_CSP_PRIVATE_ERROR +4L)
#define CSSM_CSP_PRIKEY_WRAP_FAILED				(CSSM_CSP_PRIVATE_ERROR +5L)
#define CSSM_CSP_PRIKEY_WRAP_NO_METHOD          (CSSM_CSP_PRIVATE_ERROR +6L)
#define CSSM_CSP_PRIKEY_UNWRAP_FAILED			(CSSM_CSP_PRIVATE_ERROR +7L)
#define CSSM_CSP_PRIKEY_UNWRAP_NO_METHOD        (CSSM_CSP_PRIVATE_ERROR +8L)

#define CSSM_CSP_PRIKEYFILE_SET_FAILED			(CSSM_CSP_PRIVATE_ERROR +21L)
#define CSSM_CSP_PRIKEYFILE_GET_FAILED			(CSSM_CSP_PRIVATE_ERROR +22L)

#define CSSM_CSP_PASSWORD_CHANGE_FAILED			(CSSM_CSP_PRIVATE_ERROR +40L)

/****************************************************************************/
#endif
