/*-----------------------------------------------------------------------
 * File: ISL_PARSE.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#ifndef ISL_PARSE_H
#define ISL_PARSE_H

#include "isl_internal.h"

#define NODBG	1

typedef struct isl_data_chain {
  ISL_DATA_PTR ptr;
  struct isl_data_chain *next;
} ISL_DATA_CHAIN, *ISL_DATA_CHAIN_PTR;

extern int parseMain(ISL_ARCHIVE_CONTEXT_PTR ArchivePtr,
	  ISL_CONST_DATA_PTR defines,
	  ISL_CONST_DATA_PTR dataTemplate,
	  ISL_CONST_DATA_PTR content,
#ifndef NODBG
	  int debugLevel,
#endif
	  ISL_DATA_CHAIN_PTR *results,
	  int maxResult
	  );
#endif
