//#ifndef CSSM_MEMTRACK_ON
void* CSSMAPI _app_malloc(uint32 size,
                          void *palloc_ref
#ifdef CSSM_MEMTRACK_ON
		                  , const char *szFilename,
		                  uint32 u32LineNumber
#endif
						  );


void* CSSMAPI _app_calloc(uint32 num_elements,
                          uint32 size_element,
                          void *palloc_ref
#ifdef CSSM_MEMTRACK_ON
		                  , const char *szFilename,
		                  uint32 u32LineNumber
#endif
		                  );


void* CSSMAPI _app_realloc(void * ptr,
                           uint32 new_size,
                           void *palloc_ref
#ifdef CSSM_MEMTRACK_ON
			               , const char *szFilename,
			               uint32 u32LineNumber
#endif
			              );


void CSSMAPI _app_free(void * ptr,
                       void *palloc_ref
#ifdef CSSM_MEMTRACK_ON
 		               , const char *szFilename,
		               uint32 u32LineNumber
#endif
		              );

