/*-----------------------------------------------------------------------
 * File: WF_UTIL.H
 *
 * Copyright (c) 1998-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#ifndef WF_UTIL_H
#define WF_UTIL_H

#include "wf_type.h"
#include "wf_pkapi.h"

/* GUID MANIPULATIONS */
WF_RETURN 
wf_GuidToStr(const WF_GUID *Guid, 
             char *Str);

WF_RETURN 
wf_StrToGuid(char *Str, 
             WF_GUID* Guid);

WF_RETURN 
wf_SerializeGuid(WF_GUID *Guid,
                 uint8 *PkGuidPtr);

WF_RETURN 
wf_UnserializeGuid(uint8 *PkGuidPtr,
                   WF_GUID *Guid);

/* PKWARE FUNCTIONS */
// see wf_pkapi.h

#endif /* WF_UTIL_H */
